Main Page Class Hierarchy Compound List File List Compound Members File Members

# putaway.c File Reference

`#include <string.h>`
`#include <earthworm.h>`
`#include <ws_clientII.h>`
`#include <ahhead.h>`
`#include <putaway.h>`
`#include <pa_subs.h>`
`#include <sachead.h>`
`#include "gsehead.h"`
`#include "seihead.h"`

Go to the source code of this file.

## Defines
#define | AH_FORMAT 0
#define | SAC_FORMAT 1
#define | SUDS_FORMAT 2
#define | TANK_FORMAT 3
#define | GSE_INT_FORMAT 4
#define | SEI_FORMAT 5
## Functions
int | PA_init (char *DataFormat, long TraceBufferLen, long *OutBufferLen, int *FormatInd, char *OutDir, char *OutputFormat, int debug)
int | PA_next_ev (char *EventID, TRACE_REQ *trace_req, int num_req, int FormatInd, char *OutDir, char *EventDate, char *EventTime, char *EventSubnet, int debug)
int | PA_next (TRACE_REQ *getThis, int FormatInd, double GapThresh, long OutBufferLen, int debug)
int | PA_end_ev (int FormatInd, int debug)
int | PA_close (int FormatInd, int debug)

## Define Documentation

#define AH_FORMAT 0

| Definition at line 90 of file putaway.c. Referenced by PA_close(), PA_end_ev(), PA_init(), PA_next(), and PA_next_ev().

#define GSE_INT_FORMAT 4

| Definition at line 96 of file putaway.c. Referenced by PA_close(), PA_end_ev(), PA_init(), PA_next(), and PA_next_ev().

#define SAC_FORMAT 1

| Definition at line 91 of file putaway.c. Referenced by PA_close(), PA_end_ev(), PA_init(), PA_next(), and PA_next_ev().

#define SEI_FORMAT 5

| Definition at line 98 of file putaway.c. Referenced by PA_close(), PA_end_ev(), PA_init(), PA_next(), and PA_next_ev().

#define SUDS_FORMAT 2

| Definition at line 92 of file putaway.c. Referenced by PA_close(), PA_end_ev(), PA_init(), PA_next(), and PA_next_ev().

#define TANK_FORMAT 3

| Definition at line 93 of file putaway.c. Referenced by PA_close(), PA_end_ev(), PA_init(), PA_next(), and PA_next_ev().

## Function Documentation

int PA_close | ( | int | FormatInd,
|  | int | debug
| ) |

| Definition at line 433 of file putaway.c. References AH_FORMAT, AHPA_close(), EW_FAILURE, EW_SUCCESS, GSE_INT_FORMAT, GSEPA_close(), logit(), SAC_FORMAT, SACPA_close(), SEI_FORMAT, SEIPA_close(), SUDS_FORMAT, SUDSPA_close(), TANK_FORMAT, and TANKPA_close().

int PA_end_ev | ( | int | FormatInd,
|  | int | debug
| ) |

| Definition at line 367 of file putaway.c. References AH_FORMAT, AHPA_end_ev(), EW_FAILURE, EW_SUCCESS, GSE_INT_FORMAT, GSEPA_end_ev(), logit(), SAC_FORMAT, SACPA_end_ev(), SEI_FORMAT, SEIPA_end_ev(), SUDS_FORMAT, SUDSPA_end_ev(), TANK_FORMAT, and TANKPA_end_ev().

int PA_init | ( | char * | DataFormat,
|  | long | TraceBufferLen,
|  | long * | OutBufferLen,
|  | int * | FormatInd,
|  | char * | OutDir,
|  | char * | OutputFormat,
|  | int | debug
| ) |

| Definition at line 107 of file putaway.c. References AH_FORMAT, AHHEADSIZE, AHPA_init(), EW_FAILURE, EW_SUCCESS, GSE_INT_FORMAT, GSEPA_init(), logit(), SAC_FORMAT, SACHEADERSIZE, SACPA_init(), SEI_FORMAT, SEIPA_init(), SUDS_FORMAT, SUDSPA_init(), TANK_FORMAT, and TANKPA_init().

int PA_next | ( | TRACE_REQ * | getThis,
|  | int | FormatInd,
|  | double | GapThresh,
|  | long | OutBufferLen,
|  | int | debug
| ) |

| Definition at line 291 of file putaway.c. References AH_FORMAT, AHPA_next(), EW_FAILURE, EW_SUCCESS, GSE_INT_FORMAT, GSEPA_next(), logit(), SAC_FORMAT, SACPA_next(), SEI_FORMAT, SEIPA_next(), SUDS_FORMAT, SUDSPA_next(), TANK_FORMAT, and TANKPA_next().

int PA_next_ev | ( | char * | EventID,
|  | TRACE_REQ * | trace_req,
|  | int | num_req,
|  | int | FormatInd,
|  | char * | OutDir,
|  | char * | EventDate,
|  | char * | EventTime,
|  | char * | EventSubnet,
|  | int | debug
| ) |

| Definition at line 203 of file putaway.c. References AH_FORMAT, AHPA_next_ev(), EW_FAILURE, EW_SUCCESS, GSE_INT_FORMAT, GSEPA_next_ev(), logit(), SAC_FORMAT, SACPA_next_ev(), SEI_FORMAT, SEIPA_next_ev(), SUDS_FORMAT, SUDSPA_next_ev(), TANK_FORMAT, and TANKPA_next_ev().